
#ifndef __gcm__h
#define __gcm__h

class gcm {

	public:
			gcm(char* name);
			~gcm();			
			

			bool	Open(void);
			void	Close(void);
			int		GetTOCStart(void);
			int		GetTOCSize(void);
			int		GetTOCAsciiStart(void);
			int		GetGCMSize(void);
			FILE*	GetStream(void);
			void	Wipe(int start, int amount);

	private:
			void	FillValues(void);
			int		IntSwap(int x);

	private:
			char	*filename;
			FILE	*handle;
			bool	isopen;
			int	TOCStart, TOCSize, TOCAsciiStart, GCMSize;
			char	wipebuffer[4096];

};

#endif
